import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, c = (n, t, o, s) => {
  for (var e = s > 1 ? void 0 : s ? v(t, o) : t, p = n.length - 1, i; p >= 0; p--)
    (i = n[p]) && (e = (s ? i(t, o, e) : i(e)) || e);
  return s && e && m(t, o, e), e;
};
let r = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--rss", this.class = "c-pieIcon c-pieIcon--rss", this.name = "IconRss";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--rss"><path d="M5.034 2.96v1.312c.297 0 7.35.088 7.35 7.35h1.312c0-6.85-5.696-8.662-8.662-8.662Z"></path><path d="M5.034 7.326V8.64A2.984 2.984 0 0 1 8 11.623h1.312a4.296 4.296 0 0 0-4.278-4.297Z"></path><path d="M3.433 11.964a1.155 1.155 0 1 0 1.627 1.639 1.155 1.155 0 0 0-1.627-1.64Z"></path></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], r.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = c([
  f("icon-rss")
], r);
export {
  r as IconRss
};
